{% extends 'base.html.twig' %}

{% block title %}Type index{% endblock %}

{% block body %}
    {#<h1>Type index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title_type</th>
                <th>Description_type</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for type in types %}
            <tr>
                <td>{{ type.id }}</td>
                <td>{{ type.titleType }}</td>
                <td>{{ type.descriptionType }}</td>
                <td>
                    <a href="{{ path('type_show', {'id': type.id}) }}">show</a>
                    <a href="{{ path('type_edit', {'id': type.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('type_new') }}">Create new</a>#}

    <div class="mdl-cell mdl-cell--12-col-desktop mdl-cell--12-col-tablet mdl-cell--4-col-phone scroll-tab">
        <div class="mdl-card mdl-shadow--2dp">
            <div class="mdl-card__title">
                <h1 class="mdl-card__title-text">Types</h1>
            </div>
            <div class="mdl-card__supporting-text no-padding">
                <table class="mdl-data-table mdl-js-data-table">
                    <thead>
                    <tr>
                        <th class="mdl-data-table__cell--non-numeric">Id</th>
                        <th class="mdl-data-table__cell--non-numeric">Name_plat</th>
                        <th class="mdl-data-table__cell--non-numeric">Description_plat</th>
                        <th class="mdl-data-table__cell--non-numeric">actions</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for type in types %}
                        <tr>
                            <td class="mdl-data-table__cell--non-numeric">{{ type.id }}</td>
                            <td class="mdl-data-table__cell--non-numeric">{{ type.titleType }}</td>
                            <td class="mdl-data-table__cell--non-numeric">{{ type.descriptionType }}</td>
                            <td class="mdl-data-table__cell--non-numeric">
                                <a href="{{ path('type_show', {'id': type.id}) }}">show</a>
                                <a href="{{ path('type_edit', {'id': type.id}) }}">edit</a>
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="7">no records found</td>
                        </tr>
                    {% endfor %}
                    <tr>
                        <td colspan="0"> <a href="{{ path('type_new') }}">Create new</a></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}
